Subject: [CCAMP] draft-ietf-ccamp-transport-nbi-app-statement-03

From: Gert Grammel <[email-masked]>
Date: Wed, 7 Nov 2018 05:00:38 +0000

As a follow up of  the WG discussion today:

https://tools.ietf.org/html/draft-ietf-ccamp-transport-nbi-app-statement-03
defines “Domain” in accordance to RFC5151 with:

   Domain: defined as a collection of network elements within a common

   realm of address space or path computation responsibility [RFC5151<https://tools.ietf.org/html/rfc5151>]

Q: Within this definition, what is the meaning of “address space” or “path computation responsibility”? My current interpretations are

  *   “address space” means label space (i.e. timeslots, wavelength, VLAN)
  *   Path-computation-responsibility: means PNC

Q: Figure 1 shows “customer domain” on different locations, but those are not numbered. Does the figure assumes a single “customer domain” or is it supposed to show different customer domains (which I assume to be the case)?

Can you clarify?

Thanks

Gert

---

From: Italo Busi <[email-masked]>
Date: Wed, 7 Nov 2018 09:49:57 +0000

Hi Gert,

Regarding your first question, our intention is not to define what a “domain” is but to re-use existing definitions such as the one in RFC5151.

What about adding some text like “In the context of this document, a domain would be the set of network elements under the control of a single PNC”?

Would this address your concern?

Regarding your second question, the domain structure of the customer domain is outside the scope of the document. We can either change “customer domain” with “customer domain(s)” or, given the comment above, “customer network”

What do you think/prefer?

Italo

From: Gert Grammel [mailto:[email-masked]]
Sent: Wednesday, November 07, 2018 12:01 PM
To: CCAMP <[email-masked]>
Subject: [CCAMP] draft-ietf-ccamp-transport-nbi-app-statement-03

Q: Within this definition, what is the meaning of “address space” or “path computation responsibility”? My current interpretations are
-          “address space” means label space (i.e. timeslots, wavelength, VLAN)
-          Path-computation-responsibility: means PNC

Can you clarify?

Thanks

Gert

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 7 Nov 2018 11:00:50 +0000

Hi Italo, Gert,

you can reference RFC8453:

   Domain:  A domain as defined by [RFC4655<https://tools.ietf.org/html/rfc4655>] is "any collection of
      network elements within a common sphere of address management or
      path computation responsibility".  Specifically, within this
      document we mean a part of an operator's network that is under
      common management (i.e., under shared operational management using
      the same instances of a tool and the same policies).  Network
      elements will often be grouped into domains based on technology
      types, vendor profiles, and geographic proximity.

BR
Daniele

From: CCAMP <[email-masked]> On Behalf Of Italo Busi
Sent: mercoledì 7 novembre 2018 16:50
To: Gert Grammel <[email-masked]>; CCAMP <[email-masked]>
Subject: Re: [CCAMP] draft-ietf-ccamp-transport-nbi-app-statement-03

Hi Gert,

Italo

From: Gert Grammel [mailto:[email-masked]]
Sent: Wednesday, November 07, 2018 12:01 PM
To: CCAMP <[email-masked]<mailto:[email-masked]>>
Subject: [CCAMP] draft-ietf-ccamp-transport-nbi-app-statement-03

Can you clarify?

Thanks

Gert

---

From: Italo Busi <[email-masked]>
Date: Thu, 8 Nov 2018 07:59:16 +0000

Daniele,

I like your proposal

With this definition we can also c/customer domain/customer domain(s)/ to address the second comment from Gert, since how the customer manages its network into different domains is independent from the way the customer interacts with the operator’s MDSC at the CMI

Gert: are these changes resolving your concern?

Thanks, Italo

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: Wednesday, November 07, 2018 6:01 PM
To: Italo Busi <[email-masked]>; Gert Grammel <[email-masked]>; CCAMP <[email-masked]>
Subject: RE: [CCAMP] draft-ietf-ccamp-transport-nbi-app-statement-03

Hi Italo, Gert,

BR
Daniele

From: CCAMP <[email-masked]<mailto:[email-masked]>> On Behalf Of Italo Busi
Sent: mercoledì 7 novembre 2018 16:50
To: Gert Grammel <[email-masked]<mailto:[email-masked]>>; CCAMP <[email-masked]<mailto:[email-masked]>>
Subject: Re: [CCAMP] draft-ietf-ccamp-transport-nbi-app-statement-03

Hi Gert,

Italo

Can you clarify?

Thanks

Gert